Bug 188903 - Port "mail/dcc-dccd" fails to build if using sendmail from ports (fix included)
Summary: Port "mail/dcc-dccd" fails to build if using sendmail from ports (fix included)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-23 04:20 UTC by Jamie Landeg-Jones
Modified: 2014-07-28 03:44 UTC (History)
2 users (show)

See Also:


Attachments
patch-Makefile (309 bytes, patch)
2014-04-23 04:20 UTC, Jamie Landeg-Jones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Landeg-Jones 2014-04-23 04:20:00 UTC
	

/usr/local/include from CPPFLAGS is not added to CFLAGS, causing
the build to fail, as it can't find included "${LOCALBASE}/libmilter/mfapi.h"
 
The environment and the failure output is included below.

 | cd /usr/scratch/root/usr/ports/mail/dcc-dccd/work/dcc-1.3.141
 | export TMPDIR="/temp/root"
 | export SHELL=/bin/sh
 | export NO_LINT=YES
 | export PREFIX=/usr/local
 | export LOCALBASE=/usr/local
 | export LIBDIR="/usr/lib"
 | export CC="cc"
 | export CFLAGS="-O2 -pipe -mtune=nocona -march=nocona -march=nocona -fno-strict-aliasing -I/usr/local/include"
 | export CFLAGS="-O2 -pipe -mtune=nocona -march=nocona -march=nocona -fno-strict-aliasing"
 | export CPP="cpp"
 | export CPPFLAGS="-I/usr/local/include"
 | export LDFLAGS=" -L/usr/local/lib"
 | export CXX="c++"
 | export CXXFLAGS="-O2 -pipe -mtune=nocona -march=nocona -march=nocona -fno-strict-aliasing"
 | export MANPREFIX="/usr/local"
 | export BSD_INSTALL_PROGRAM="install -s -o root -g wheel -m 555"
 | export BSD_INSTALL_LIB="install -s -o root -g wheel -m 444"
 | export BSD_INSTALL_SCRIPT="install -o root -g wheel -m 555"
 | export BSD_INSTALL_DATA="install -o root -g wheel -m 444"
 | export BSD_INSTALL_MAN="install -o root -g wheel -m 444"
 | /usr/bin/make -f Makefile -j1 all

 | ===> dccm (all)
 | cc -O2 -pipe -mtune=nocona -march=nocona -march=nocona -fno-strict-aliasing -mtune=nocona -march=nocona -march=nocona -I../thrlib   -I../include  -DNDEBUG -g -std=gnu99 -Qunused-arguments  -fstack-protector  -c dccm.c
 | dccm.c:41:10: fatal error: 'libmilter/mfapi.h' file not found
 | #include "libmilter/mfapi.h"
 |          ^
 | 1 error generated.
 | *** [dccm.o] Error code 1
 | 
 | make[3]: stopped in /usr/scratch/root/usr/ports/mail/dcc-dccd/work/dcc-1.3.141/dccm
 | 1 error
 | 
 | make[3]: stopped in /usr/scratch/root/usr/ports/mail/dcc-dccd/work/dcc-1.3.141/dccm
 | *** [all] Error code 2
 | 
 | make[2]: stopped in /usr/scratch/root/usr/ports/mail/dcc-dccd/work/dcc-1.3.141
 | 1 error
 | 
 | make[2]: stopped in /usr/scratch/root/usr/ports/mail/dcc-dccd/work/dcc-1.3.141
 | ===> Compilation failed unexpectedly.
 | Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
 | the maintainer.
 | *** Error code 1
 | 
 | Stop.
 | make[1]: stopped in /usr/ports/mail/dcc-dccd
 | *** Error code 1
 | 
 | Stop.
 | make: stopped in /usr/ports/mail/dcc-dccd
 |

Fix: It seems to be that the makefile within the dccm does not honour CPPFLAGS.

A fix to expicitly add the include-dir to the ports Makefile is attached,
though you may prefer to alter the build-code within the tarball itself!

Cheers, Jamie

	
How-To-Repeat: Try to install mail/dcc-dccd on a machine with no base sendmail,
but with sendmail from ports.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-23 04:20:05 UTC
Maintainer of mail/dcc-dccd,

Please note that PR ports/188903 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188903

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-04-23 04:20:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-07-22 19:42:47 UTC
maintainer timed out (3 months)

set to patch-ready
Comment 4 commit-hook freebsd_committer 2014-07-27 10:37:31 UTC
A commit references this bug:

Author: marino
Date: Sun Jul 27 10:37:15 UTC 2014
New revision: 363041
URL: http://svnweb.freebsd.org/changeset/ports/363041

Log:
  mail/dcc-dccd: reset maintainer, but apply ports sendmail fix

  This port should have been reset with the big batches.  There is a
  PR to update the version (184281) but stage support is not included
  and nobody is stepping up to update the PR.  But while here, add a
  one-line fix to support building with sendmail from ports.

  PR:		188903
  Submitted by:	Jamie Landeg-Jones
  Approved by:	maintainer timeout (3 months)
  Approved by:	portmgr (implicit, NOT_STAGED)

Changes:
  head/mail/dcc-dccd/Makefile
Comment 5 John Marino freebsd_committer 2014-07-27 10:39:01 UTC
Note that this port will be removed in a few weeks due to lack of staging.
Comment 6 John Marino freebsd_committer 2014-07-27 10:39:32 UTC
FYI see bug 184281
Comment 7 Jamie Landeg-Jones 2014-07-28 03:44:10 UTC
Thanks for the commit and the headsup, John.

I'll submit a staged and updated patch when I get the chance.

Cheers, Jamie